/*
 * flash.c
 *
 * flash handler
 *
 * Copyright (c) 2004 Atmark Techno, Inc.  All Rights Reserved.
 *
 */

#include "flash.h"

void flash_program(unsigned long addr, unsigned short val)
{
        flash_write_cmd(0xff000aaa, 0xaa);
        flash_write_cmd(0xff000555, 0x55);
        flash_write_cmd(0xff000aaa, 0xa0);
        flash_write(addr, val);
        while(flash_read(addr) != val);
}

void flash_erase(void)
{
	unsigned long i;

	flash_write_cmd(0xff000aaa, 0xaa);
	flash_write_cmd(0xff000555, 0x55);
	flash_write_cmd(0xff000aaa, 0x80);
	flash_write_cmd(0xff000aaa, 0xaa);
	flash_write_cmd(0xff000555, 0x55);
	
	for( i=0 ; i<FLASH_SIZE ; i+=FLASH_SECTOR_SIZE)
	{
		flash_write_cmd(FLASH_START + i, 0x30);
	}

	while (flash_read(FLASH_START + FLASH_SIZE - FLASH_SECTOR_SIZE) != 0xffff);

	return ;
}
