/*
 * flash.h
 *
 * flash handler
 *
 * Copyright (c) 2004 Atmark Techno, Inc.  All Rights Reserved.
 *
 */


#ifndef _FLASH_H
#define _FLASH_H

//#define FLASH_START       0xff000000
//#define FLASH_SIZE        0x00008000
//#define FLASH_SECTOR_SIZE 0x00002000
#define FLASH_START       0xff080000
#define FLASH_SIZE        0x00010000
#define FLASH_SECTOR_SIZE 0x00010000


typedef unsigned short __u16;

#define ___swab16(x) \
({ \
	__u16 __x = (x); \
	((__u16)( \
		(((__u16)(__x) & (__u16)0x00ffU) << 8) | \
		(((__u16)(__x) & (__u16)0xff00U) >> 8) )); \
})

#define flash_read(addr)                                                    \
        ({ unsigned short __v = (*(volatile unsigned short *) (addr)); __v; })
#define flash_write_cmd(addr, b)                                        \
        (void)((*(volatile unsigned short *) (addr)) = (___swab16(b)))
#define flash_write(addr, b)                                        \
        (void)((*(volatile unsigned short *) (addr)) = ((b)))


void flash_program(unsigned long addr, unsigned short val);
void flash_erase(void);

#endif /* _FLASH_H */