/*
 * medium.c
 *
 * Serial Hander
 *
 * Copyright (c) 2004 Atmark Techno, Inc.  All Rights Reserved.
 *
 */

#include "xparameters.h"
#include "xuartlite_l.h"


int put_char(unsigned long data)
{
	while (*(volatile char *)(0xffff2000UL+11UL) & 0x08);
	
	*(char *)(0xffff2000UL+4UL) = (char)data;

	return 0;
}

int put_char_hex(unsigned long j)
{
	long i ;
	unsigned long k ;
	
	for ( i = 7; i >= 0 ; i--){
		k = ((j) >> ( i << 2 )) & 0xf ;
		if ( k > 9 )
			put_char (0x37 + k);
		else
			put_char (0x30 + k);
	}
	put_char ('\n');
	put_char ('\r');

	return 0;
}

char get_char(void)
{
	while(!(XUartLite_mGetStatusReg(XPAR_CONSOLE_UART_BASEADDR) & XUL_SR_RX_FIFO_VALID_DATA));
	return (Xuint8)XIo_In32(XPAR_CONSOLE_UART_BASEADDR + XUL_RX_FIFO_OFFSET);
}

/*
 * get entire line, which is terminated with '\r'
 * returns 0 if just return key is hit.
 * otherwise this function blocks forever.
 */
int get_line(char *buffer, int maxchars)
{
	int line_size = 0;

	while (maxchars) {
		*buffer = get_char();
		if (*buffer == '\r')
			break;
		buffer++;
		line_size++;
		maxchars--;
	}
	*buffer='\0'; /* overwrite the last '\r', or last char in case of maxchar, with nul */
	return line_size;
}

void myprint(char * s)
{
	while (*s) {
		put_char(*s++);
	}
}

