#################################################################
# Makefile generated by Xilinx Platform Studio 
# Project:d:\suzaku\suzaku_00\xps_proj\xps_proj.xmp
#################################################################

XILINX_EDK_DIR = C:/EDK/

SYSTEM = xps_proj

MHSFILE = xps_proj.mhs

MSSFILE = xps_proj.mss

FPGA_ARCH = spartan3

DEVICE = xc3s400ft256-4

LANGUAGE = vhdl

SEARCHPATHOPT = 

SUBMODULE_OPT =  -toplevel no -ti xps_proj

PLATGEN_OPTIONS = -p $(DEVICE) -lang $(LANGUAGE) $(SEARCHPATHOPT) $(SUBMODULE_OPT)

LIBGEN_OPTIONS = -mhs $(MHSFILE) -p $(FPGA_ARCH) $(SEARCHPATHOPT) \
                   $(MICROBLAZE_I_LIBG_OPT)

BOOT_OUTPUT_DIR = microblaze_i/code
BOOT_OUTPUT = $(BOOT_OUTPUT_DIR)/executable.elf

MICROBLAZE_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/microblaze/mb_bootloop.elf
PPC405_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/ppc405/ppc_bootloop.elf
BOOTLOOP_DIR = bootloops

MICROBLAZE_I_BOOTLOOP = $(BOOTLOOP_DIR)/microblaze_i.elf
MICROBLAZE_I_XMDSTUB = microblaze_i/code/xmdstub.elf

BRAMINIT_ELF_FILES =  $(BOOT_OUTPUT) 
BRAMINIT_ELF_FILE_ARGS =   -pe microblaze_i $(BOOT_OUTPUT) 

ALL_USER_ELF_FILES = $(BOOT_OUTPUT) 

SIM_CMD = vsim

BEHAVIORAL_SIM_SCRIPT = simulation/behavioral/$(SYSTEM).do

STRUCTURAL_SIM_SCRIPT = simulation/structural/$(SYSTEM).do

TIMING_SIM_SCRIPT = simulation/timing/$(SYSTEM).do

DEFAULT_SIM_SCRIPT = $(BEHAVIORAL_SIM_SCRIPT)

SIMGEN_OPTIONS = -p $(FPGA_ARCH) -lang $(LANGUAGE) $(SEARCHPATHOPT) $(SUBMODULE_OPT) $(BRAMINIT_ELF_FILE_ARGS) -s mti


LIBRARIES =  \
       microblaze_i/lib/libxil.a 

LIBSCLEAN_TARGETS = microblaze_i_libsclean 

PROGRAMCLEAN_TARGETS = boot_programclean 

CORE_STATE_DEVELOPMENT_FILES = 

WRAPPER_NGC_FILES = implementation/microblaze_i_wrapper.ngc \
implementation/sdram_controller_wrapper.ngc \
implementation/console_uart_wrapper.ngc \
implementation/system_timer_wrapper.ngc \
implementation/d_lmb_bram_if_cntlr_wrapper.ngc \
implementation/i_lmb_bram_if_cntlr_wrapper.ngc \
implementation/bram_block_0_wrapper.ngc \
implementation/system_intc_wrapper.ngc \
implementation/d_opb_v20_wrapper.ngc \
implementation/i_lmb_v10_wrapper.ngc \
implementation/d_lmb_v10_wrapper.ngc \
implementation/system_memcon_wrapper.ngc \
implementation/opb_gpio_0_wrapper.ngc \
implementation/external_int_0_wrapper.ngc

POSTSYN_NETLIST = implementation/$(SYSTEM).ngc

SYSTEM_BIT = implementation/$(SYSTEM).bit

DOWNLOAD_BIT = implementation/download.bit

SYSTEM_ACE = implementation/$(SYSTEM).ace

UCF_FILE = data/$(SYSTEM).ucf

FASTRUNTIME_OPT_FILE = etc/fast_runtime.opt
BITGEN_UT_FILE = etc/bitgen_spartan3.ut

#################################################################
# SOFTWARE APPLICATION BOOT
#################################################################

BOOT_SOURCES = code/srec.c code/flash.c code/main.c code/medium.c 

BOOT_HEADERS = code/srec.h code/flash.h code/medium.h 

BOOT_CC = mb-gcc
BOOT_CC_SIZE = mb-size
BOOT_CC_OPT = -O2
BOOT_CFLAGS = 
BOOT_CC_SEARCH = # -B
BOOT_LIBPATH = -L./microblaze_i/lib/ # -L
BOOT_INCLUDES = -I./microblaze_i/include/  -Icode/ # -I
BOOT_LFLAGS = # -l
BOOT_CC_PREPROC_FLAG = # -Wp,
BOOT_CC_ASM_FLAG = # -Wa,
BOOT_CC_LINKER_FLAG = # -Wl,
BOOT_LINKER_SCRIPT = 
BOOT_LINKER_SCRIPT_FLAG = #-Wl,-T -Wl,$(BOOT_LINKER_SCRIPT) 
BOOT_CC_DEBUG_FLAG = # -[g|gstabs]
BOOT_CC_PROFILE_FLAG = # -pg
BOOT_CC_GLOBPTR_FLAG= # -mxl-gp-opt
BOOT_MODE = executable
BOOT_LIBG_OPT = -$(BOOT_MODE) microblaze_i
BOOT_CC_SOFTMUL_FLAG= -mno-xl-soft-mul 
BOOT_CC_START_ADDR_FLAG=  # -Wl,-defsym -Wl,_TEXT_START_ADDR=
BOOT_CC_STACK_SIZE_FLAG=  # -Wl,-defsym -Wl,_STACK_SIZE=
BOOT_OTHER_CC_FLAGS= $(BOOT_CC_GLOBPTR_FLAG)  \
                  $(BOOT_CC_START_ADDR_FLAG) $(BOOT_CC_STACK_SIZE_FLAG)  \
                  $(BOOT_CC_SOFTMUL_FLAG)  -mxl-barrel-shift -mno-xl-soft-div \
                  $(BOOT_CC_PREPROC_FLAG) $(BOOT_CC_ASM_FLAG) $(BOOT_CC_LINKER_FLAG)  \
                  $(BOOT_LINKER_SCRIPT_FLAG) $(BOOT_CC_DEBUG_FLAG) $(BOOT_CC_PROFILE_FLAG) 
